Адаптер Wifi зависает Ubuntu 16.04

5

Недавно я обновил обновления с помощью программы обновления. После перезагрузки моего компьютера, всякий раз, когда я подключаю свой WiFi-адаптер к порту USB, весь экран замерзает. (Он не замерзает, когда я подключаю его к отключенной сети.) Есть ли способ, которым я могу это исправить?

    
задан that guy 20.02.2017 в 18:34
источник

3 ответа

5

Я столкнулся с такими проблемами после того, как в обновлениях была установлена ​​новая версия ядра (так что это не обновление). Это иногда путает обработку интерфейсов.

Если это действительно так, моим решением было позволить компьютеру загрузиться с предыдущей версии ядра до тех пор, пока не будет распространен более новый рабочий выпуск.

С этой целью я редактирую меню загрузки с помощью программы grub-customizer . Чтобы установить его (и вам явно необходимо подключение Ethernet, если wi-fi-приемник неисправен), выполните следующие инструкции:

sudo add-apt-repository ppa:danielrichter2007/grub-customizer
sudo apt-get update
sudo apt-get install grub-customizer

Программа представляет собой графический интерфейс для обработки настроек загрузчика. Там вы можете визуализировать список ядер, все еще доступных в ваших системах, из вкладки «Конфигурация списка»

С другой вкладкой «Общие настройки» я могу изменить загрузку ядра во время загрузки. В нижеследующем снимок я настроен на выбор 4.4.0-62 generic из области «default entry: predefined». Эта версия является последней, но одной в списке, показанном выше.

Затем вы сохраняете свой выбор. После следующей перезагрузки система начнет с более раннего ядра в соответствии с вашим выбором. Если ваша проблема исчезла, вы обратились к преступнику. Если нет, этот путь не увенчался успехом, увы, и проблема осталась в другом месте - вы можете вернуть свой загрузочный выбор.

Кстати, вы также можете посмотреть, какая версия ядра в настоящее время запущена из командной строки с uname -r .

    
ответ дан XavierStuvw 21.02.2017 в 18:40
источник
0

Я выполнил следующие инструкции, чтобы скомпилировать новый драйвер для RTL8192C:

Ссылка

До сих пор работала.

    
ответ дан qwidion 04.03.2017 в 20:29
0

Я установил старое ядро ​​4.4.38-040438-generic, и оно тоже работает. Вот как установить старое ядро ​​через командную строку.

Я выбираю ядро ​​на ссылке

Если ваш компьютер является 64-битным сервером, выберите «Создать для amd64»

Загрузите эти 2 файла

# wget linux-headers-4.4.38-040438_4.4.38-040438.201612101547_all.deb
# wget linux-image-4.4.38-040438-generic_4.4.38-040438.201612101547_amd64.deb

После того, как пакеты deb были загружены, установите с помощью команды ниже

# dpkg -i linux-headers-4.4.38-040438_4.4.38-040438.201612101547_all.deb
# dpkg -i linux-image-4.4.38-040438-generic_4.4.38-040438.201612101547_amd64.deb

Перезагрузите компьютер, и он должен выбрать более раннее ядро ​​вместо последнего ядра.

Совместим с USB Wifi Dongle, больше нет замерзания;)

Прочитайте пару форумов и до сих пор не исправлено для последнего ядра.     

ответ дан takizo 14.03.2017 в 07:48